import Request from '../common/request.js';
let request = new Request().http;

// 团购商品列表
export function getActiveGroupBuyList(data) {
    return request('/productGroupBuy/activeList', data, 'GET');
}

// 团购商品详情
export function getGroupBuyDetail(id) {
    return request(`/productGroupBuy/detail/${id}`, null, 'GET');
}

// 按商品id查询团购
export function getGroupBuyByProductId(productId) {
    return request(`/productGroupBuy/getByProductId/${productId}`, null, 'GET');
}

// 获取服务器时间
export function getGroupBuyServerTime() {
    return request('/productGroupBuy/serverTime', null, 'GET');
}
